export default function getLocation(
  options?: PositionOptions
): Promise<GeolocationPosition | null> {
  return new Promise(resolve => {
    if (!navigator.geolocation) return resolve(null)
    const {
      enableHighAccuracy = true,
      timeout = 10 * 1000,
      maximumAge = 5 * 60 * 1000,
    } = options || {}

    navigator.geolocation.getCurrentPosition(
      resolve,
      err => {
        console.error(err)
        resolve(null)
      },
      {
        enableHighAccuracy,
        timeout,
        maximumAge,
      }
    )
  })
}
