import { throttle } from 'lodash-es'

// 设置 rem 函数
export function setRem() {
  const doc = document
  let width = Math.max(doc.documentElement.clientWidth, window.innerWidth || 0)

  // 屏幕宽度>=768，采用PC排版
  width = width >= 768 ? 375 : width > 480 ? 480 : width

  const fz = ~~((width * 100000) / 100) / 10000
  doc.getElementsByTagName('html')[0].style.cssText = 'font-size: ' + fz + 'px'

  const realfz =
    ~~(
      +window
        .getComputedStyle(doc.getElementsByTagName('html')[0])
        .fontSize.replace('px', '') * 10000
    ) / 10000
  if (fz !== realfz) {
    doc.getElementsByTagName('html')[0].style.cssText =
      'font-size: ' + fz * (fz / realfz) + 'px'
  }
}

// 初始化
setRem()

// 改变窗口大小时重新设置 rem
window.onresize = throttle(setRem, 100)
